#ifndef _MENU
#define _MENU

#include "MonochromeLib.h"
#include "TouchLib.h"
#include "fxlib.h"
#include "moteur.h"

#define NB_BOX 6

#define M_HIGHSCORE   0
#define M_BONUS_3     1
#define M_BONUS_5     2
#define M_PCENT       3
#define M_BOMBS       4
#define M_SECRET      5

#define DEF_MAX       680 // 40*nb + 30

typedef struct Box Box;
struct Box
{
	int x;
	int y;
	int x2;
	int y2;
	unsigned char texte[50];
	int type;
};

int menu(void);
void more(void);
void changerCouleur(void);
void instructions(void);
void credits(void);

void achievements(void);
int collisionBox(int curseur_x, int curseur_y, Box box);

void modifierTemps(unsigned char *txt);

#endif